EZ_GetFancyListBoxSelectionIdx(3)

NAME
EZ_GetFancyListBoxSelectionIdx - retieve the array indices of the selection in a fancy-listbox widget

SYNOPSIS
#include <EZ.h>

void EZ_GetFancyListBoxSelectionIdx(EZ_Widget *flistbox,
                        int *row_ret, int *col_ret)

ARGUMENTS
flistbox Specifies a fancy listbox widget.

row_ret, col_ret Specifies the returns for row and column indices

DESCRIPTION

EZ_GetFancyListBoxSelectionIdx returns the array indices of the selected item(s) in a fancy listbox widget. If no selection has been made, it returns -1 to row_ret.

There are two selection mode in a fancy listbox. In row mode, a row is selected at a time. A row usually consists of several items. In this case, EZ_GetFancyListBoxSelectionIdx returns 0 to col_ret.

SEE ALSO
EZ_GetFancyListBoxSelection(3)